/******************************************************************************* 
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         * 
******************************************************************************** 
* FILE NAME: Exception.hpp                                                     * 
*                                                                              * 
* DESCRIPTION:                                                                 * 
*   Declaration of the class:                                                  * 
*     Exception                                                                * 
*******************************************************************************/ 
#ifndef _Exception_ 
#define _Exception_ 
 
class Exception 
{ 
protected: 
  unsigned long excId; 
 
public: 
  // Constructor 
  Exception (unsigned long id) 
    {  excId = id;  } 
  Exception (const Exception& exc) 
    {  *this = exc;  } 
 
  // Operatoren 
  Exception& operator= (const Exception& exc) 
    {  excId = exc.excId; return *this;  } 
 
  // Exception id 
  unsigned long id () 
    {return excId;  } 
}; 
 
#endif 
