/*******************************************************************************
* FILE NAME: FindFile.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     FindFile                                                                 *
*******************************************************************************/
#ifndef _FINDFILE_
#define _FINDFILE_

#include <MString.hpp>
#include <bool.h>

// Fehlermendungen
#define ERROR_NO_MORE_FILES_FOUND     10

// Class definition for FindFile
class FindFile
{
protected:
  MString verzeichnis;
  MString maske;
  bool findFirst;
  bool schliessen;

public:
  // Constructors / destructors
  FindFile (MString verzeichnisTemp, MString maskeTemp)
    {  verzeichnis = verzeichnisTemp;
       maske = maskeTemp;
       findFirst = true;
       schliessen = false;  }
  ~FindFile ()
    {  schliessen = true;
       next ();  }

  // Naechste Datei finden
  MString _Export next ();
};   //FindFile

#endif
