/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: IO.hpp                                                            *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     IO                                                                       *
*******************************************************************************/
#ifndef _IO_
#define _IO_

#include <bool.h>

class IO
{
public:
  // Schreiben in ein IO
  virtual IO& _Export operator<< (const unsigned char c) = 0;

  // Lesen aus einem IO
  virtual IO& _Export operator>> (unsigned char& c) = 0;

  // Erstes Zeichen angucken
  virtual unsigned char _Export peek () = 0;
};

#endif

