/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiChannelMessage.cpp                                            *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Class implementation of the class:                                         *
*     MidiChannelMessage                                                       *
*******************************************************************************/
#include <Exception.hpp>
#include "MidiChannelMessage.hpp"

#include "MidiErrors.h"

// setzt den Midi-Kanal
void MidiChannelMessage::setChannel (const unsigned char midiChannelTemp)
{
  // Wenn der Midi-Kanal groesser 16 ist Fehler
  if (midiChannelTemp >= 16)
    throw (Exception (ERROR_MIDI_CHANNEL));

  midiChannel = midiChannelTemp;
}

