/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiChannelMessage.hpp                                            *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiChannelMessage                                                       *
*******************************************************************************/
#ifndef _MIDICHANNELMESSAGE_
#define _MIDICHANNELMESSAGE_

#include <MidiMessage.hpp>

class MidiChannelMessage : public MidiMessage
{
protected:
  unsigned char midiChannel;

public:
  // Constructoren
  MidiChannelMessage ()
    {  midiChannel = 0;  }

  // Midi-Channel
  unsigned char channel () const
    {  return midiChannel;  }
  void _Export setChannel (const unsigned char midiChannelTemp);
};

#endif

