/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiErrors.h                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   ErrorConstant declaration for nmmidi.dll                                   *
*******************************************************************************/

// Fehlernummern und Meldungen
#define ERROR_MIDI_DELAY                      10
#define ERROR_MIDI_CHANNEL                    11
#define ERROR_MIDI_KEY                        12
#define ERROR_MIDI_DYNAMIC                    13
#define ERROR_MIDI_DATA                       18
#define ERROR_MIDI_PROGRAM                    20
#define ERROR_MIDI_PRESSURE                   22
#define ERROR_MIDI_PITCH_BEND                 24
#define ERROR_MIDI_CODE                       26
#define ERROR_MIDI_POSITION                   28
#define ERROR_MIDI_SELECT                     30
#define ERROR_MIDI_REAL_TIME_MESSAGE          33
#define ERROR_MIDI_HEADER_CHUNK               34
#define ERROR_MIDI_TRACK_CHUNK                35
#define ERROR_MIDI_NO_MESSAGE                 36
#define ERROR_MIDI_NO_SEQUENCER_IO            38
#define ERROR_MIDI_NO_FILE_IO                 39
#define ERROR_MIDI_META_EVENT_IO              45
#define ERROR_MIDI_NO_META_SET_TIME_CONTENT   46
#define ERROR_MIDI_DIVISION                   47

