/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: Var.hpp                                                           *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Deklaration der Klasse:                                                    *
*     Var                                                                      *
*******************************************************************************/
#ifndef _VAR_
#define _VAR_

template <class T> class Var
{
private:
  T t;

public:
  // Constructor
  Var ()
    {  }
  Var (const T& tTemp)
    {  t = tTemp;  }
  Var (const Var<T>& varTemp)
    {  t = varTemp.t;  }

  // =operator
  Var<T>& operator= (const T& tTemp)
    {  t = tTemp; return *this;  }
  Var<T>& operator= (const Var<T>& varTemp)
    {  t = varTemp.t; return *this;  }

  // Umwandlungs-operatoren
  operator const T& () const
    {  return t;  }
  operator T& ()
    {  return t;  }
};

#endif
