/* naGuido.h */

#ifdef __cplusplus
   extern "C" {
#endif

extern void na_segmInit(void);
extern void na_segmExit(void);
extern void na_seqInit(void);
extern void na_seqExit(void);
extern void na_seqAppendNote(int pc, int oct, int acc, int durN, int durD, int dots, int durPosN, int durPosD);

extern void na_tagStart(char* s, int no, long int tagno, int durPosN, int durPosD);
/* s must be copied for further use */
/* tagno is an id which allows to
	relate matching tagStart and tagEnd */
extern void na_tagEnd(long int tagno, int durPosN, int durPosD,
											int beforeDurPosN, int beforeDurPosD);
/* durPosN,durPosD: rel. time position after last note within range
		beforeDurPosN,afterDurPosD: rel. time pos before ...	*/
extern void na_tagIntArg(long int n);
extern void na_tagFloatArg(double r);
extern void na_tagStrArg(char *s);
/* s must be copied for further uses */
extern void na_tagAdd(long int nargs);
/* signals that argument list is completely processed */

#ifdef __cplusplus
  }
#endif

