/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiEndOfExclusive.hpp                                            *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiEndOfExclusive                                                        *
*******************************************************************************/
#ifndef _MIDIENDOFEXCLUSIVE_
#define _MIDIENDOFEXCLUSIVE_

#include <MidiMessage.hpp>

class MidiEndOfExclusive : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF7;  }

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

