/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiTuneRequest.hpp                                               *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiTuneRequest                                                          *
*******************************************************************************/
#ifndef _MIDITUNEREQUEST_
#define _MIDITUNEREQUEST_

#include <MidiMessage.hpp>

class MidiTuneRequest : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF6;  }

  // Ein und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

